import { ValueOf } from '@ptolemy2002/ts-utils';
export type HookResultKey = string | number | symbol;
export type HookResultData<T extends Record<HookResultKey, any>, A extends readonly any[]> = HookResult<T, ValueOf<T>> & T & A;
export default class HookResult<T extends Record<HookResultKey, V>, V = any> {
    _data: Map<HookResultKey, V>;
    constructor(data: T, order?: (keyof T)[]);
    [Symbol.iterator](): MapIterator<V>;
}
